package de.jottyfan.quickiemod.blocks;

import net.minecraft.block.Block;

/**
 *
 * @author jotty
 *
 */
public enum QuickieBlocks {
	// @formatter:off
	BLOCKSTACKERUP(new BlockStackerUp(), "blockstackerup"),
	BLOCKSTACKERDOWN(new BlockStackerDown(), "blockstackerdown"),
	BLOCKSTACKEREAST(new BlockStackerEast(), "blockstackereast"),
	BLOCKSTACKERWEST(new BlockStackerWest(), "blockstackerwest"),
	BLOCKSTACKERNORTH(new BlockStackerNorth(), "blockstackernorth"),
	BLOCKSTACKERSOUTH(new BlockStackerSouth(), "blockstackersouth"),
	DRILL_DOWN(new BlockDrillDown(), "drill"),
	DRILL_EAST(new BlockDrillEast(), "drilleast"),
	DRILL_SOUTH(new BlockDrillSouth(), "drillsouth"),
	DRILL_WEST(new BlockDrillWest(), "drillwest"),
	DRILL_NORTH(new BlockDrillNorth(), "drillnorth"),
	DRILLSTOP(new BlockDrillstop(), "drillstop"),
	MONSTERHOARDER(new BlockMonsterhoarder(), "monsterhoarder"),
	ITEMHOARDER(new BlockItemhoarder(), "itemhoarder"),
	LAVAHOARDER(new BlockLavahoarder(), "lavahoarder", false),
	EMPTYLAVAHOARDER(new BlockEmptyLavahoarder(), "emptylavahoarder"),
	KELPSTACK(new BlockKelpstack(), "kelpstack"),
	COTTONPLANT(new BlockCottonplant(), "cottonplant", false),
	CANOLAPLANT(new BlockCanolaplant(), "canolaplant", false),
	DIRTSALPETER(new BlockDirtSalpeter(), "dirtsalpeter"),
	ORE_NETHER_SULPHOR(new BlockOreNetherSulphor(), "orenethersulphor"),
	ORE_SALPETER(new BlockOreSalpeter(), "oresalpeter"),
	ORE_SAND_SALPETER(new BlockSandSalpeter(), "oresandsalpeter"),
	ORE_SULPHOR(new BlockOreSulphor(), "oresulphor"),
	ORE_DEEPSLATESULPHOR(new BlockOreDeepslateSulphor(), "oredeepslatesulphor"),
	SANDSALPETER(new BlockSandSalpeter(), "sandsalpeter"),
	BLOCKSULPHOR(new BlockSulphor(), "blocksulphor"),
	BLOCKSALPETER(new BlockSalpeter(), "blocksalpeter"),
	BLOCKSPEEDPOWDER(new BlockSpeedpowder(), "blockspeedpowder"),
	BLOCKQUICKIEPOWDER(new BlockQuickiepowder(), "blockquickiepowder");
	// @formatter:on

	private final Block block;
	private final String name;
	private final Boolean add2BlockPanel;

	private QuickieBlocks(Block block, String name) {
		this(block, name, true);
	}

	private QuickieBlocks(Block block, String name, Boolean add2BlockPanel) {
		this.block = block;
		this.name = name;
		this.add2BlockPanel = add2BlockPanel;
	}

	public final Block getBlock() {
		return block;
	}

	public final String getName() {
		return name;
	}

	public final Boolean getAdd2BlockPanel() {
		return add2BlockPanel;
	}
}
